Bug 475513 - NFS pbs with kernel 2.6.27.5
NFS pbs with kernel 2.6.27.5
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
i686 Linux
low Severity high
: ---
: ---
Assigned To: Steve Dickson
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-09 10:47 EST by derrien
Modified: 2009-12-18 02:13 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:13:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
kernel BUG (6.16 KB, text/plain)
2008-12-09 10:47 EST, derrien
no flags Details

  None (edit)
Description derrien 2008-12-09 10:47:41 EST
Created attachment 326339 [details]
kernel BUG

Description of problem:

Differents pbs with NFS and kernel 2.6.27.5

Sometimes we got :

Dec  8 11:02:26 t3400 kernel: NFS: server nas1b error: fileid changed
Dec  8 11:02:26 t3400 kernel: NFS: server nas1b error: fileid changed
Dec  8 11:02:26 t3400 kernel: fsid 0:1e: expected fileid 0x226417, got 0x79a032
Dec  8 11:02:26 t3400 kernel: fsid 0:1e: expected fileid 0x226417, got 0x79a032

nas1b is a NetApp server; we don't have these messages with older clients

And sometimes (are the two pbs related ?)

Dec  8 11:02:30 t3400 kernel: ------------[ cut here ]------------
Dec  8 11:02:30 t3400 kernel: kernel BUG at fs/nfs/namespace.c:108!
Dec  8 11:02:30 t3400 kernel: kernel BUG at fs/nfs/namespace.c:108!
Dec  8 11:02:30 t3400 kernel: invalid opcode: 0000 [#1] SMP
Dec  8 11:02:30 t3400 kernel: invalid opcode: 0000 [#1] SMP
....

Version-Release number of selected component (if applicable):

[root@t3400 (Fedora 10) ~]$ uname -a
Linux t3400 2.6.27.5-117.fc10.i686.PAE #1 SMP Tue Nov 18 12:08:10 EST 2008 i686 i686 i386 GNU/Linux

How reproducible:

Seems unpredictable

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Chuck Ebbert 2008-12-09 14:09:46 EST
BUG_ON(IS_ROOT(dentry));
Comment 2 derrien 2009-01-23 09:49:30 EST
Same thing with 2.6.27.9-159
Comment 3 Bug Zapper 2009-11-18 04:39:35 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-12-18 02:13:39 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.